param S > 0;
param D > 0;

param supply {1..S} >= 0;
param demand {1..D} >= 0;

param cost {1..S,1..D} >= 0;

var Transport {1..S,1..D} >= 0;

minimize Total_Cost: sum {s in 1..S, d in 1..D} Transport[s,d] * cost[s,d];

subject to Supply {s in 1..S}: sum {d in 1..D} Transport[s,d] = supply[s];
subject to Demand {d in 1..D}: sum {s in 1..S} Transport[s,d] = demand[d];
